org.jboss.logging.processor.validation

## Class IdRangeValidator

- java.lang.Object
- - org.jboss.logging.processor.validation.IdRangeValidator

    public class IdRangeValidator
    extends Object

Author:
  James R. Perkins

### Constructor Summary

Constructors
Constructor and Description
`IdRangeValidator()`

### Method Summary

Methods
`Collection<ValidationMessage>` `validate(MessageInterface messageInterface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdRangeValidator

    public IdRangeValidator()

### Method Detail

#### validate

    public Collection<ValidationMessage> validate(MessageInterface messageInterface)